Bug 205152 - Firefox doesn't have/use a proper cursive font family
Firefox doesn't have/use a proper cursive font family
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-09-04 17:53 EDT by Dimitris
Modified: 2008-01-02 18:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-02 18:02:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 12930 None None None Never

  None (edit)
Description Dimitris 2006-09-04 17:53:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv: Gecko/20060808 Fedora/ Firefox/ pango-text

Description of problem:
Firefox in other operating systems can use the available operating system fonts for all font families.

Unfortunately, firefox under FC6-test2 (and earlier versions) doesn't do the above for the cursive font family (at least).

For example, Firefox under Windows understands the cursive font family and will use the font "Comin Sans MS" for those web pages.

Test sameple:

<span style="font-family: cursive;">This is an example of cursive font family</span>

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Copy paste the above example html in a web page
2.Load the page with Firefox under Fedora
3.Notice how the font used is not from the cursive family

Actual Results:
Firefox under Fedora doesn't use a font from the cursive family

Expected Results:
Use of a font from the cursive family

Additional info:
Its possible that Fedora just doesn't have any fonts from the cursive font family. I could be mistaken but the URW Chancery L font thats in Fedora looks just like the cursive fonts.
Comment 1 Christopher Aillon 2006-09-05 05:26:28 EDT
behdad, any clue?
Comment 2 Behdad Esfahbod 2006-09-08 16:24:15 EDT
Expected.  Fontconfig only has three generic families: serif, sans-serif, and
monospace, while CSS has two more: fantasy and cursive.  I'm tracking this
upstream so eventually we will fix it properly.  For now, I think adding a
custom conf file to our fontconfig package to map cursive to URW Chancery L
should do the job.  If you want that, reassign to fontconfig/me.

Also, suggestions for other fonts that should be alased to cursive and fantasy
are welcome.
Comment 3 Dimitris 2006-09-08 20:27:04 EDT
In order to fix it properly, we'd need to request fontconfig changes for the
additional font families.

Ofcourse, the temporary solution to map specific fonts would be very helpful.

Below are the detailed descriptions of cursive and fantasy font families as
defined by the W3C:


Glyphs in cursive fonts, as the term is used in CSS, generally have either
joining strokes or other cursive characteristics beyond those of italic
typefaces. The glyphs are partially or completely connected, and the result
looks more like handwritten pen or brush writing than printed letterwork. Fonts
for some scripts, such as Arabic, are almost always cursive. CSS uses the term
'cursive' to apply to a font for any script, although other names such as
Chancery, Brush, Swing and Script are also used in font names.

Examples of fonts that fit this description include:
Latin fonts 	Caflisch Script, Adobe Poetica, Sanvito, Ex Ponto, Snell Roundhand,
Cyrillic fonts 	ER Architekt
Hebrew fonts 	Corsiva
Arabic fonts 	DecoType Naskh, Monotype Urdu 507


Fantasy fonts, as used in CSS, are primarily decorative while still containing
representations of characters (as opposed to Pi or Picture fonts, which do not
represent characters). Examples include:
Latin fonts 	Alpha Geometrique, Critter, Cottonwood, FB Reactor, Studz
Comment 4 Matthew Miller 2007-04-06 12:05:47 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 5 Dimitris 2007-04-09 19:03:52 EDT
Yes, this bug still exists. Firefox doesn't use a proper font for the Cursive
Comment 6 Matthew Miller 2007-04-09 19:17:18 EDT
retested on fc6 as per comment #5.
Comment 7 Matěj Cepl 2007-12-10 04:21:42 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 8 Dimitris 2007-12-10 04:41:11 EST
This bug still exists in F7 and F8.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.